<?php
/**
 * XPressME - WordPress for XOOPS
 *
 * Adding multi-author features to XPress
 *
 * @copyright	toemon
 * @license		GNU public license
 * @author		"toemon ( http://www.toemon.com)"
 * @package		module::xpressme
 */
 
if( ! defined( 'XOOPS_ROOT_PATH' ) ) exit ;

$mydirpath = dirname(__FILE__);
$mydirname = basename($mydirpath);

$lang = @$GLOBALS["xoopsConfig"]['language'];

// language file (modinfo.php)

if( file_exists( $mydirpath .'/language/'.$lang.'/modinfo.php' ) ) {
	include_once $mydirpath .'/language/'.$lang.'/modinfo.php' ;
} else if( file_exists(  $mydirpath .'/language/english/modinfo.php' ) ) {
	include_once $mydirpath .'/language/english/modinfo.php' ;
}
global $wp_db_version,$wp_version;

include $mydirpath .'/wp-includes/version.php' ;

$modversion['name'] = ucfirst($mydirname) . ' ' . constant('_MI_XPRESS_NAME') ;
$modversion['description'] = constant( '_MI_XPRESS_DESC');
$modversion['version'] = "0.08";
$modversion['credits'] = "Wordpress DEV (http://wordpress.org/) XPressME DEV Toemon) (http://www.toemon.com) ;";
$modversion['author'] = "toemon (http://www.toemon.com)";
$modversion['license'] = "GPL see LICENSE";
$modversion['official'] = 0 ;
$modversion['image'] =  'module_icon.php' ;
$modversion['dirname'] = $mydirname;

// status
$modversion['codename'] = "r111";

// onInstall, onUpdate, onUninstall
$modversion['onInstall'] = 'include/oninstall.php' ;
$modversion['onUpdate'] = 'include/onupdate.php' ;
$modversion['onUninstall'] = 'include/onuninstall.php' ;

// Sql file (must contain sql generated by phpMyAdmin or phpPgAdmin)
//$modversion['sqlfile']['mysql'] = "sql/mysql.sql";

$db_prefix = $mydirname;
if ($mydirname == 'wordpress') {
	$db_prefix = 'wp';
}
	$modversion['tables'] = array(
	$db_prefix . "_comments",
	$db_prefix . "_links",
	$db_prefix . "_options",
	$db_prefix . "_postmeta",
	$db_prefix . "_posts",
	$db_prefix . "_users",
	$db_prefix . "_usermeta",
	$db_prefix . "_terms",
	$db_prefix . "_term_relationships",
	$db_prefix . "_term_taxonomy",
	$db_prefix . "_views",	
	$db_prefix . "_d3forum_link",
	$db_prefix . "_group_role"
	);


// Search
$modversion['hasSearch'] = 1 ;
$modversion['search']['file'] = 'include/search.php' ;
$modversion['search']['func'] = $mydirname.'_global_search' ;
//Admin things
$modversion['hasAdmin'] = 1;
$modversion['adminindex'] = "admin/index.php";
$modversion['adminmenu'] = "admin/menu.php";

$modversion['hasMain'] = 1;
if(is_object($GLOBALS["xoopsUser"])){
	$modversion['sub'][1]['name'] = constant( '_MI_XPRESS_MENU_POST_NEW');
	$modversion['sub'][1]['url'] = "wp-admin/post-new.php";
	$modversion['sub'][2]['name'] = constant( '_MI_XPRESS_MENU_EDIT');
	$modversion['sub'][2]['url'] = "wp-admin/edit.php";
}

// Use smarty
$modversion["use_smarty"] = 1;

/**
* Templates
*/
// All Templates can't be touched by modulesadmin.
$modversion['templates'] = array() ;

$modversion['hasconfig'] = 1;

//BLOCKS
$modversion['blocks'][1] = array(
	'file' 			=> 'recent_comments_block.php' ,
	'name' 			=> constant('_MI_XPRESS_BLOCK_COMMENTS') ,
	'description'	=> '' ,
	'show_func' 	=> "b_". $mydirname . "_comments_show" ,
	'edit_func' 	=> "b_". $mydirname . "_comments_edit" ,
	'template'		=> '' ,
	'options'		=> $mydirname. '|10|30|0|' ,
	'can_clone'		=> true ,
	'func_num'		=> 1,	
);
$modversion['blocks'][2] = array(
	'file' 			=> 'recent_posts_content_block.php' ,
	'name' 			=> constant('_MI_XPRESS_BLOCK_CONTENT') ,
	'description'	=> '' ,
	'show_func' 	=> "b_". $mydirname . "_content_show" ,
	'edit_func' 	=> "b_". $mydirname . "_content_edit" ,
	'template'		=> '' ,
	'options'		=> $mydirname. '|10|0|100||0' ,
	'can_clone'		=> true ,
	'func_num'		=> 2,
);
$modversion['blocks'][3] = array(
	'file' 			=> 'recent_posts_list_block.php' ,
	'name' 			=> constant('_MI_XPRESS_BLOCK_POSTS') ,
	'description'	=> '' ,
	'show_func' 	=> "b_". $mydirname . "_posts_show" ,
	'edit_func' 	=> "b_". $mydirname . "_posts_edit" ,
	'options'		=> $mydirname. '|10|1|7||0' ,
	'can_clone'		=> true ,
	'func_num'		=> 3,	
);
$modversion['blocks'][4] = array(
	'file' 			=> 'calender_block.php' ,
	'name' 			=> constant('_MI_XPRESS_BLOCK_CALENDER') ,
	'description'	=> '' ,
	'show_func' 	=> "b_". $mydirname . "_calender_show" ,
	'edit_func' 	=> "b_". $mydirname . "_calender_edit" ,
	'options'		=> $mydirname. '|#DB0000|#004D99' ,
	'can_clone'		=> false ,
	'func_num'		=> 4,
);
$modversion['blocks'][5] = array(
	'file' 			=> 'popular_posts_block.php' ,
	'name' 			=> constant('_MI_XPRESS_BLOCK_POPULAR') ,
	'description'	=> '' ,
	'show_func' 	=> "b_". $mydirname . "_popular_show" ,
	'edit_func' 	=> "b_". $mydirname . "_popular_edit" ,
	'options'		=> $mydirname. '|10|0||0' ,
	'can_clone'		=> true ,
	'func_num'		=> 5,	
);
$modversion['blocks'][6] = array(
	'file' 			=> 'archives_block.php' ,
	'name' 			=> constant('_MI_XPRESS_BLOCK_ARCHIVE') ,
	'description'	=> '' ,
	'show_func' 	=> "b_". $mydirname . "_archives_show" ,
	'edit_func' 	=> "b_". $mydirname . "_archives_edit" ,
	'options'		=> $mydirname. '|1|10|1|0' ,
	'can_clone'		=> false ,
	'func_num'		=> 6,	
);
$modversion['blocks'][7] = array(
	'file' 			=> 'authors_block.php' ,
	'name' 			=> constant('_MI_XPRESS_BLOCK_AUTHORS') ,
	'description'	=> '' ,
	'show_func' 	=> "b_". $mydirname . "_authors_show" ,
	'edit_func' 	=> "b_". $mydirname . "_authors_edit" ,
	'options'		=> $mydirname. '|0|1|0|1' ,
	'can_clone'		=> false ,
	'func_num'		=> 7,	
);

// Notification
$modversion['hasNotification'] = 1;
$modversion['notification'] = array(
	'lookup_file' => 'include/notification.inc.php' ,
	'lookup_func' => "xpress_notify" ,
	'category' => array(
		array(
			'name' => 'global' ,
			'title' => constant('_MI_XPRESS_NOTCAT_GLOBAL') ,
			'description' => constant('_MI_XPRESS_NOTCAT_GLOBALDSC') ,
			'subscribe_from' => 'index.php' ,
		) ,
		array(
			'name' => 'category' ,
			'title' => constant('_MI_XPRESS_NOTCAT_CAT') ,
			'description' => constant('_MI_XPRESS_NOTCAT_CATDSC') ,
			'subscribe_from' => 'index.php' ,
			'item_name' => 'cat' ,
			'allow_bookmark' => 1 ,
		) ,
		array(
			'name' => 'author' ,
			'title' => constant('_MI_XPRESS_NOTCAT_AUTHOR') ,
			'description' => constant('_MI_XPRESS_NOTCAT_AUTHORDSC') ,
			'subscribe_from' => 'index.php' ,
			'item_name' => 'author' ,
			'allow_bookmark' => 1 ,
		) ,
		array(
			'name' => 'post' ,
			'title' => constant('_MI_XPRESS_NOTCAT_POST') ,
			'description' => constant('_MI_XPRESS_NOTCAT_POSTDSC') ,
			'subscribe_from' => 'index.php' ,
			'item_name' => 'p' ,
			'allow_bookmark' => 1 ,
		) ,
	) ,
	'event' => array(
		array(
			'name' => 'waiting' ,
			'category' => 'global' ,
			'title' => constant('_MI_XPRESS_NOTIFY_GLOBAL_WAITING') ,
			'caption' => constant('_MI_XPRESS_NOTIFY_GLOBAL_WAITINGCAP') ,
			'description' => constant('_MI_XPRESS_NOTIFY_GLOBAL_WAITINGCAP') ,
			'mail_template' => 'global_waiting' ,
			'mail_subject' => constant('_MI_XPRESS_NOTIFY_GLOBAL_WAITINGSBJ') ,
			'admin_only' => 1 ,
		) ,
		array(
			'name' => 'newpost' ,
			'category' => 'global' ,
			'title' => constant('_MI_XPRESS_NOTIFY_GLOBAL_NEWPOST') ,
			'caption' => constant('_MI_XPRESS_NOTIFY_GLOBAL_NEWPOSTCAP') ,
			'description' => constant('_MI_XPRESS_NOTIFY_GLOBAL_NEWPOSTCAP') ,
			'mail_template' => 'global_newpost' ,
			'mail_subject' => constant('_MI_XPRESS_NOTIFY_GLOBAL_NEWPOSTSBJ') ,
		) ,
		array(
			'name' => 'comment' ,
			'category' => 'global' ,
			'title' => constant('_MI_XPRESS_NOTIFY_GLOBAL_NEWCOMMENT') ,
			'caption' => constant('_MI_XPRESS_NOTIFY_GLOBAL_NEWCOMMENTCAP') ,
			'description' => constant('_MI_XPRESS_NOTIFY_GLOBAL_NEWCOMMENTCAP') ,
			'mail_template' => 'global_newcomment' ,
			'mail_subject' => constant('_MI_XPRESS_NOTIFY_GLOBAL_NEWCOMMENTSBJ') ,
		) ,
		
		array(
			'name' => 'newpost' ,
			'category' => 'category' ,
			'title' => constant('_MI_XPRESS_NOTIFY_CAT_NEWPOST') ,
			'caption' => constant('_MI_XPRESS_NOTIFY_CAT_NEWPOSTCAP') ,
			'description' => constant('_MI_XPRESS_NOTIFY_CAT_NEWPOSTCAP') ,
			'mail_template' => 'category_newpost' ,
			'mail_subject' => constant('_MI_XPRESS_NOTIFY_CAT_NEWPOSTSBJ') ,
		) ,
		array(
			'name' => 'comment' ,
			'category' => 'category' ,
			'title' => constant('_MI_XPRESS_NOTIFY_CAT_NEWCOMMENT') ,
			'caption' => constant('_MI_XPRESS_NOTIFY_CAT_NEWCOMMENTCAP') ,
			'description' => constant('_MI_XPRESS_NOTIFY_CAT_NEWCOMMENTCAP') ,
			'mail_template' => 'category_newcomment' ,
			'mail_subject' => constant('_MI_XPRESS_NOTIFY_CAT_NEWCOMMENTSBJ') ,
		) ,

		array(
			'name' => 'newpost' ,
			'category' => 'author' ,
			'title' => constant('_MI_XPRESS_NOTIFY_AUT_NEWPOST') ,
			'caption' => constant('_MI_XPRESS_NOTIFY_AUT_NEWPOSTCAP') ,
			'description' => constant('_MI_XPRESS_NOTIFY_AUT_NEWPOSTCAP') ,
			'mail_template' => 'author_newpost' ,
			'mail_subject' => constant('_MI_XPRESS_NOTIFY_AUT_NEWPOSTSBJ') ,
		) ,
		array(
			'name' => 'comment' ,
			'category' => 'author' ,
			'title' => constant('_MI_XPRESS_NOTIFY_AUT_NEWCOMMENT') ,
			'caption' => constant('_MI_XPRESS_NOTIFY_AUT_NEWCOMMENTCAP') ,
			'description' => constant('_MI_XPRESS_NOTIFY_AUT_NEWCOMMENTCAP') ,
			'mail_template' => 'author_newcomment' ,
			'mail_subject' => constant('_MI_XPRESS_NOTIFY_AUT_NEWCOMMENTSBJ') ,
		) ,

		array(
			'name' => 'comment' ,
			'category' => 'post' ,
			'title' => constant('_MI_XPRESS_NOTIFY_POST_NEWCOMMENT') ,
			'caption' => constant('_MI_XPRESS_NOTIFY_POST_NEWCOMMENTCAP') ,
			'description' => constant('_MI_XPRESS_NOTIFY_POST_NEWCOMMENTCAP') ,
			'mail_template' => 'post_newcomment' ,
			'mail_subject' => constant('_MI_XPRESS_NOTIFY_POST_NEWCOMMENTSBJ') ,
		) ,
	) ,
) ;


?>